=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2011-01-10 22:20:12 +0000
+++ bzrlib/tests/test_http.py	2011-01-12 21:27:00 +0000
@@ -1821,9 +1821,10 @@
         t = self.get_readonly_transport()
         # No need to build a valid smart request here, the server will not even
         # try to interpret it.
+        medium = t.get_smart_medium()
         self.assertRaises(errors.SmartProtocolError,
-                          t.get_smart_medium().send_http_smart_request,
-                          'whatever')
+                          medium.send_http_smart_request, 'whatever')
+        medium.disconnect()
 
 
 class Test_redirected_to(tests.TestCase):

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2011-01-12 21:09:54 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2011-01-12 21:27:00 +0000
@@ -80,7 +80,7 @@
 * Treat WSAECONNABORTED the same as WSAECONNRESET for the purposes of
   considering a smart data stream as being interrupted. This fixes a
   failure in the windows test suite, that was trying to ensure we cleanly
-  handled a server disconnect.  (John Arbash Meinel, #581311)
+  handled a server disconnect.  (John Arbash Meinel, #581311, #686587)
 
 * You are now able to commit directly to a stacked branch. Any needed
   parent inventories will be filled in as part of the commit process.

